## ThunarDetailsView ThunarDetailsView |

## Functions

void | thunar_details_view_set_date_deleted_column_visible ()
void | thunar_details_view_set_recency_column_visible ()
void | thunar_details_view_set_location_column_visible ()

## Properties

gboolean | fixed-columns | Read / Write

## Types and Values

enum | ThunarDetailsViewAction

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkScrolledWindow
                            ╰── ThunarStandardView
                                ╰── ThunarDetailsView

## Description

## Functions

### thunar_details_view_set_date_deleted_column_visible ()

    void
    thunar_details_view_set_date_deleted_column_visible
                                   (ThunarDetailsView *Param1,
                                    gboolean Param2);

Shows/hides the Date Deleted column.

#### Parameters

details_view | a ThunarDetailsView. |
visible | `TRUE` to show the Date Deleted column. |

### thunar_details_view_set_recency_column_visible ()

    void
    thunar_details_view_set_recency_column_visible
                                   (ThunarDetailsView *Param1,
                                    gboolean Param2);

### thunar_details_view_set_location_column_visible ()

    void
    thunar_details_view_set_location_column_visible
                                   (ThunarDetailsView *Param1,
                                    gboolean Param2);

## Types and Values

### enum ThunarDetailsViewAction

#### Members

THUNAR_DETAILS_VIEW_ACTION_CONFIGURE_COLUMNS |  |

## Property Details

### The `“fixed-columns”` property

      “fixed-columns”            gboolean

`TRUE` to use fixed column widths.

Owner: ThunarDetailsView

Flags: Read / Write

Default value: FALSE